GyotoDirectionalDisk.h File Reference

Geometrically thin disk read from FITS file. More...

`#include <iostream>`
`#include <fstream>`
`#include <iomanip>`
`#include <GyotoThinDisk.h>`

Go to the source code of this file.

## Classes

class | Gyoto::Astrobj::DirectionalDisk
| Geometrically thin disk read from FITS file. More...

## Namespaces

namespace | Gyoto
| Namespace for the Gyoto library.
namespace | Gyoto::Astrobj
| Access to astronomical objects.

## Detailed Description

Geometrically thin disk read from FITS file.

This class describes a disk contained in the z=0 (equatorial) plane. The flux emitted at radius r, making an angle i with respect to the local normal, at frequency nu is given in a FITS file.

This astrobj is typically used to compute reflected spectra in the lamp post model.

For the time being the metric is imposed to be KerrBL, but should easily generalized.

The target of ray-traced Gyoto::Photon